# Uses of Interface
org.bukkit.entity.Piglin

Packages that use Piglin
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Piglin in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Piglin
Modifier and Type
Method
Description
`@NotNull Piglin`
PiglinBarterEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Piglin
Modifier
Constructor
Description
``
`PiglinBarterEvent(@NotNull Piglin what, @NotNull ItemStack input, @NotNull List<ItemStack> outcome)`